Name: pase-utf8-locale
Version: %(echo `uname -v`.`uname -r`)
Release: 0
License: Public Domain
Summary: Linux UTF-8 locale name compatibility
BuildArch: noarch

%description
AIX/PASE locale names are generally in the format en_US, EN_US, or EN_US.UTF-8
where the first locale is 8-bit Extended ASCII and the all caps and .UTF-8 are
in UTF-8. On Linux, they are generally in the format en_US and en_US.UTF-8.
This package creates symlinks from the PASE locale to the Linux locale of the
same name. This allows SSH connections from Linux machines to use the same
locale settings.

%prep

%build

%install

mkdir -p %{buildroot}/QOpenSys/usr/lib/nls/loc
ln -s AS_IN.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/as_IN.UTF-8
ln -s GU_IN.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/gu_IN.UTF-8
ln -s BE_BY.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/be_BY.UTF-8
ln -s HI_IN.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/hi_IN.UTF-8
ln -s BN_IN.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/bn_IN.UTF-8
ln -s ID_ID.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/id_ID.UTF-8
ln -s CY_GB.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/cy_GB.UTF-8
ln -s KN_IN.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/kn_IN.UTF-8
ln -s EN_AU.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_AU.UTF-8
ln -s ML_IN.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/ml_IN.UTF-8
ln -s EN_CA.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_CA.UTF-8
ln -s MR_IN.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/mr_IN.UTF-8
ln -s EN_GB.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_GB.UTF-8
ln -s MS_MY.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/ms_MY.UTF-8
ln -s EN_HK.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_HK.UTF-8
ln -s MT_MT.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/mt_MT.UTF-8
ln -s EN_IE.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_IE.UTF-8
ln -s OR_IN.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/or_IN.UTF-8
ln -s EN_IN.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_IN.UTF-8
ln -s PA_IN.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/pa_IN.UTF-8
ln -s EN_NZ.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_NZ.UTF-8
ln -s TA_IN.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/ta_IN.UTF-8
ln -s EN_PH.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_PH.UTF-8
ln -s TE_IN.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/te_IN.UTF-8
ln -s EN_SG.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_SG.UTF-8
ln -s UK_UA.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/uk_UA.UTF-8
ln -s EN_US.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_US.UTF-8
ln -s UR_IN.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/ur_IN.UTF-8
ln -s EN_ZA.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_ZA.UTF-8
ln -s UR_PK.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/ur_PK.UTF-8
ln -s ET_EE.UTF-8 %{buildroot}/QOpenSys/usr/lib/nls/loc/et_EE.UTF-8

ln -s AS_IN.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/as_IN.UTF-8__64
ln -s GU_IN.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/gu_IN.UTF-8__64
ln -s BE_BY.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/be_BY.UTF-8__64
ln -s HI_IN.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/hi_IN.UTF-8__64
ln -s BN_IN.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/bn_IN.UTF-8__64
ln -s ID_ID.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/id_ID.UTF-8__64
ln -s CY_GB.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/cy_GB.UTF-8__64
ln -s KN_IN.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/kn_IN.UTF-8__64
ln -s EN_AU.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_AU.UTF-8__64
ln -s ML_IN.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/ml_IN.UTF-8__64
ln -s EN_CA.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_CA.UTF-8__64
ln -s MR_IN.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/mr_IN.UTF-8__64
ln -s EN_GB.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_GB.UTF-8__64
ln -s MS_MY.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/ms_MY.UTF-8__64
ln -s EN_HK.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_HK.UTF-8__64
ln -s MT_MT.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/mt_MT.UTF-8__64
ln -s EN_IE.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_IE.UTF-8__64
ln -s OR_IN.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/or_IN.UTF-8__64
ln -s EN_IN.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_IN.UTF-8__64
ln -s PA_IN.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/pa_IN.UTF-8__64
ln -s EN_NZ.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_NZ.UTF-8__64
ln -s TA_IN.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/ta_IN.UTF-8__64
ln -s EN_PH.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_PH.UTF-8__64
ln -s TE_IN.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/te_IN.UTF-8__64
ln -s EN_SG.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_SG.UTF-8__64
ln -s UK_UA.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/uk_UA.UTF-8__64
ln -s EN_US.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_US.UTF-8__64
ln -s UR_IN.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/ur_IN.UTF-8__64
ln -s EN_ZA.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/en_ZA.UTF-8__64
ln -s UR_PK.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/ur_PK.UTF-8__64
ln -s ET_EE.UTF-8__64 %{buildroot}/QOpenSys/usr/lib/nls/loc/et_EE.UTF-8__64

%files
%defattr(-, qsys, *none)

/QOpenSys/usr/lib/nls/loc/*

%changelog
* Tue Dec 10 2019 - Abdirahim Musse <abdirahim.musse@ibm.com>
- Wrap description such that each line does not exceed 80 characters

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Change pase-includes to noarch
- Determine PASE spec version via uname

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Build package to map Linux UTF-8 locales to AIX UTF-8 locales
